Index: Sources/frontend/src/app/question/question.component.css
===================================================================
--- Sources/frontend/src/app/question/question.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/question/question.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,43 @@
+.card {
+  background-color: #3A98B9;
+  margin: 10px;
+  padding: 10px;
+  border-radius: 10px;
+  color: #FFF1DC;
+  font-weight: normal;
+  font-size: large;
+}
+
+.container {
+  display: flex;
+  flex-direction: column;
+  justify-content: center;
+  margin-left: 200px;
+  margin-right: 200px;
+}
+
+.header {
+  display: flex;
+  justify-content: space-between;
+}
+
+button {
+  background-color: #3A98B9;
+  border: none;
+  padding: 5px 10px 5px 10px;
+  height: 50px;
+  margin: 5px;
+  border-radius: 7px;
+  cursor: pointer;
+  color: #FFF1DC;
+  font-weight: normal;
+  font-size: large;
+}
+
+.buttons {
+  display: flex;
+}
+
+.card:hover {
+  box-shadow: 0 0 2px 2px #E1DDDD;
+}
Index: Sources/frontend/src/app/question/question.component.html
===================================================================
--- Sources/frontend/src/app/question/question.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/question/question.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,17 @@
+<div class="container">
+  <h1>{{course?.name}}</h1>
+  <div class="header">
+    <h2>Прашања</h2>
+    <div class="buttons">
+      <button *ngIf="this.activeUser?.userType=='STUDENT'" routerLink="/add-question/{{course?.id}}">+ Прашање</button>
+      <button routerLink="/materials/{{course?.id}}">Материјали</button>
+    </div>
+  </div>
+
+  <div class="card" *ngFor="let q of questions" routerLink="/question-details/{{q?.id}}">
+    <h3>{{q?.title}}</h3>
+    <p>{{q?.content}}</p>
+  </div>
+
+</div>
+
Index: Sources/frontend/src/app/question/question.component.spec.ts
===================================================================
--- Sources/frontend/src/app/question/question.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/question/question.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,23 @@
+import { ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { QuestionComponent } from './question.component';
+
+describe('QuestionComponent', () => {
+  let component: QuestionComponent;
+  let fixture: ComponentFixture<QuestionComponent>;
+
+  beforeEach(async () => {
+    await TestBed.configureTestingModule({
+      declarations: [ QuestionComponent ]
+    })
+    .compileComponents();
+
+    fixture = TestBed.createComponent(QuestionComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
Index: Sources/frontend/src/app/question/question.component.ts
===================================================================
--- Sources/frontend/src/app/question/question.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/question/question.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,47 @@
+import {Component} from '@angular/core';
+import {QuestionInterface} from "../QuestionInterface";
+import {QuestionService} from "../question.service";
+import {ActivatedRoute, Router} from "@angular/router";
+import {CourseService} from "../course.service";
+import {CourseInterface} from "../courseInterface";
+import {LoginService} from "../login.service";
+import {ActiveUserInterface} from "../ActiveUserInterface";
+
+@Component({
+  selector: 'app-question',
+  templateUrl: './question.component.html',
+  styleUrls: ['./question.component.css']
+})
+export class QuestionComponent {
+  questions: QuestionInterface[] = []
+  course: CourseInterface | undefined;
+  activeUser: ActiveUserInterface | undefined;
+
+  constructor(private service: QuestionService,
+              private route: ActivatedRoute,
+              private courseService: CourseService,
+              private loginService: LoginService,
+              private router: Router) {
+  }
+
+  ngOnInit(): void {
+    const id = Number(this.route.snapshot.paramMap.get('id'));
+    this.activeUser = this.loginService.activeUser;
+    if (!this.activeUser) {
+      this.router.navigate(['/'])
+    }
+    this.findCourseById(id);
+    this.getAllQuestionsForCourse(id);
+  }
+
+  findCourseById(id: number) {
+    this.courseService.findCourseById(id).subscribe(resp => {
+      this.course = resp
+    })
+  }
+
+  getAllQuestionsForCourse(id: number) {
+    this.service.getAllQuestionsForCourse(id).subscribe(questions => this.questions = questions);
+  }
+
+}
